Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.dialogs
Class TypeFilteringDialog

    java.lang.Object
      org.eclipse.jface.window.Window
          org.eclipse.jface.dialogs.Dialog
              org.eclipse.ui.dialogs.SelectionDialog
                  org.eclipse.ui.dialogs.TypeFilteringDialog

public class TypeFilteringDialog
extends SelectionDialog

The TypeFilteringDialog is a SelectionDialog that allows the user to select a file editor.

Nested Class Summary

Nested classes inherited from class org.eclipse.jface.window.Window
`Window.IExceptionHandler`

Field Summary

Fields inherited from class org.eclipse.jface.dialogs.Dialog
`blockedHandler, buttonBar, dialogArea, DLG_IMG_ERROR, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

Fields inherited from class org.eclipse.jface.window.Window
`CANCEL, OK`

Constructor Summary
`TypeFilteringDialog(Shell parentShell, Collection preselections)` Creates a type filtering dialog using the supplied entries.
`TypeFilteringDialog(Shell parentShell, Collection preselections, String filterText)` Creates a type filtering dialog using the supplied entries.

Method Summary
`protected void` | `configureShell(Shell shell)` Configures the given shell in preparation for opening this window in it.
`protected Control` | `createDialogArea(Composite parent)` Creates and returns the contents of the upper part of this dialog (above the button bar).
`protected void` | `okPressed()` The `TypeFilteringDialog` implementation of this `Dialog` method builds a list of the selected elements for later retrieval by the client and closes this dialog.

Methods inherited from class org.eclipse.ui.dialogs.SelectionDialog
`createButtonsForButtonBar, createMessageArea, getInitialElementSelections, getInitialSelections, getMessage, getOkButton, getResult, setInitialElementSelections, setInitialSelections, setMessage, setResult, setSelectionResult, setTitle`

Methods inherited from class org.eclipse.jface.dialogs.Dialog
`applyDialogFont, buttonPressed, cancelPressed, close, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, create, createButton, createButtonBar, createContents, dialogFontIsDefault, getBlockedHandler, getButton, getButtonBar, getCancelButton, getDialogArea, getImage, getOKButton, initializeBounds, initializeDialogUnits, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText`

Methods inherited from class org.eclipse.jface.window.Window
`canHandleShellCloseEvent, constrainShellSize, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getInitialLocation, getInitialSize, getLayout, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, handleShellCloseEvent, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setExceptionHandler, setReturnCode, setShellStyle, setWindowManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TypeFilteringDialog

    public TypeFilteringDialog(Shell parentShell,
                               Collection preselections)

  Creates a type filtering dialog using the supplied entries. Set the initial selections to those whose extensions match the preselections.

Parameters:
  `parentShell` - The shell to parent the dialog from.
  `preselections` - of String - a Collection of String to define the preselected types

### TypeFilteringDialog

    public TypeFilteringDialog(Shell parentShell,
                               Collection preselections,
                               String filterText)

  Creates a type filtering dialog using the supplied entries. Set the initial selections to those whose extensions match the preselections.

Parameters:
  `parentShell` - The shell to parent the dialog from.
  `preselections` - of String - a Collection of String to define the preselected types
  `filterText` - - the title of the text entry field for other extensions.

Method Detail

### configureShell

    protected void configureShell(Shell shell)

  Description copied from class: `Window`
  Configures the given shell in preparation for opening this window in it.

  The default implementation of this framework method sets the shell's image and gives it a grid layout. Subclasses may extend or reimplement.

  Overrides:
    `configureShell` in class `SelectionDialog`

### createDialogArea

    protected Control createDialogArea(Composite parent)

  Description copied from class: `Dialog`
  Creates and returns the contents of the upper part of this dialog (above the button bar).

  The `Dialog` implementation of this framework method creates and returns a new `Composite` with standard margins and spacing.

  The returned control's layout data must be an instance of `GridData`. This method must not modify the parent's layout.

  Subclasses must override this method but may call `super` as in the following example:

       Composite composite = (Composite) super.createDialogArea(parent);
       //add controls to composite as necessary
       return composite;

  Overrides:
    `createDialogArea` in class `Dialog`
  Parameters:
    `parent` - the parent composite to contain the dialog area
  Returns:
    the dialog area control

### okPressed

    protected void okPressed()

  The `TypeFilteringDialog` implementation of this `Dialog` method builds a list of the selected elements for later retrieval by the client and closes this dialog.

  Overrides:
    `okPressed` in class `Dialog`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.